From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyter_client/
Date: Thu, 11 Jul 2019 11:31:44 +0000 (UTC) [thread overview]
Message-ID: <1562844656.6d218decaacacd8464bcd42186786ca6351c5120.heroxbd@gentoo> (raw)
commit: 6d218decaacacd8464bcd42186786ca6351c5120
Author: Marius Brehler <marius.brehler+gentoo <AT> googlemail <DOT> com>
AuthorDate: Thu Jul 11 09:39:31 2019 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Thu Jul 11 11:30:56 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d218dec
dev-python/jupyter_client: Version bump to 5.2.4
Closes: https://github.com/gentoo/gentoo/pull/12370
Signed-off-by: Marius Brehler <marius.brehler+gentoo <AT> googlemail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11
dev-python/jupyter_client/Manifest | 1 +
.../jupyter_client/jupyter_client-5.2.4.ebuild | 37 ++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/jupyter_client/Manifest b/dev-python/jupyter_client/Manifest
index 8520968e679..52b60a9a501 100644
--- a/dev-python/jupyter_client/Manifest
+++ b/dev-python/jupyter_client/Manifest
@@ -1,2 +1,3 @@
DIST jupyter_client-5.1.0.tar.gz 265233 BLAKE2B 1f4533e1c6578e61b1a7591889805d5e324a3cd368cb3998131f2047056c87984ae26d83c9de0277aa6f19b61db4c4d9b39083b795e0891ef7d5394949b5fa44 SHA512 eca7adab1f8aae05743c341a257d4ca4338b0838cc3441939dda48229cdfa13b267bdc338b951bc4e6e139d03d26b40a1294140218f84ab800d211f7e0d8bfc7
DIST jupyter_client-5.2.3.tar.gz 271787 BLAKE2B 36761e53050874c141c38f545f8f6fb53c144c30f686b3706594d124a65e410c205379b7ecbeed12f1520f0f568c7db3c802223f6fdb8f76407074beacc21918 SHA512 89b980ecc281bc1512e1fc4ba35862cc6e541f825ee07a1382d300c8088f24611225ab415d6a7c1e4209c47a74c113ec95f863e8fb0b33c6db9eb9c3521fc0ae
+DIST jupyter_client-5.2.4.tar.gz 273397 BLAKE2B a63e13fea7bf121cfe0191d702bf5398a72902e075d560ec235eec6c28492a89753a90efe642fc207ab23357e74aac566bbfbeeb7970b765bf53641caa7ac95f SHA512 a8bb322e4cbcfa5ab9ffbcfdbf2e2ea60e7923f415d7574a93866e99c03a8c5b0a11d7c82e9c4c1c69f4da1261563f419877dffd5347294a58a744c445271a53
diff --git a/dev-python/jupyter_client/jupyter_client-5.2.4.ebuild b/dev-python/jupyter_client/jupyter_client-5.2.4.ebuild
new file mode 100644
index 00000000000..fb9e7603b74
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-5.2.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ dev-python/jupyter_core[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ )
+ "
+
+python_test() {
+ pytest -vv jupyter_client || die
+}
next reply other threads:[~2019-07-11 11:31 UTC|newest]
Thread overview: 136+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-07-11 11:31 Benda XU [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-04-14 5:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyter_client/ Sam James
2023-04-14 3:59 Michał Górny
2023-03-21 20:06 Michał Górny
2023-03-15 21:19 Arthur Zamarin
2023-03-15 21:18 Arthur Zamarin
2023-03-11 17:44 Arthur Zamarin
2023-03-11 17:24 Sam James
2023-03-11 16:50 Arthur Zamarin
2023-03-11 16:50 Arthur Zamarin
2023-03-11 16:00 Sam James
2023-03-11 16:00 Sam James
2023-03-11 7:53 Arthur Zamarin
2023-03-08 9:17 Arthur Zamarin
2023-03-07 13:27 Andrew Ammerlaan
2023-02-17 7:38 Michał Górny
2023-02-16 20:32 Michał Górny
2023-02-16 17:49 Arthur Zamarin
2023-01-31 11:22 Michał Górny
2023-01-27 10:52 Michał Górny
2023-01-13 7:09 Michał Górny
2023-01-08 5:12 Michał Górny
2023-01-07 18:49 Arthur Zamarin
2022-12-17 6:43 Michał Górny
2022-12-16 19:49 Arthur Zamarin
2022-12-06 6:02 Michał Górny
2022-11-16 17:21 Michał Górny
2022-11-11 14:31 Michał Górny
2022-11-06 7:59 Michał Górny
2022-11-06 7:24 Sam James
2022-10-27 9:48 Andrew Ammerlaan
2022-10-26 4:03 Michał Górny
2022-10-21 5:14 Michał Górny
2022-10-12 11:18 Michał Górny
2022-10-12 11:18 Michał Górny
2022-09-25 18:19 Arthur Zamarin
2022-08-25 19:25 Arthur Zamarin
2022-07-10 18:54 Michał Górny
2022-07-10 16:56 Sam James
2022-06-11 4:55 Michał Górny
2022-06-09 7:23 Michał Górny
2022-06-08 5:35 Michał Górny
2022-06-07 6:54 Michał Górny
2022-05-27 19:53 Michał Górny
2022-05-27 9:18 Jakov Smolić
2022-05-09 8:57 Michał Górny
2022-04-26 9:59 Michał Górny
2022-03-26 18:14 Arthur Zamarin
2022-03-26 17:22 Arthur Zamarin
2022-03-24 8:39 Andrew Ammerlaan
2022-02-21 19:02 Andrew Ammerlaan
2021-12-23 18:46 Michał Górny
2021-12-23 18:17 Arthur Zamarin
2021-11-22 23:04 Michał Górny
2021-11-20 3:54 Sam James
2021-11-19 8:35 Sam James
2021-11-19 7:30 Sam James
2021-11-18 8:10 Sam James
2021-11-17 22:47 Sam James
2021-11-17 2:16 Sam James
2021-11-16 5:58 Sam James
2021-11-15 6:37 Sam James
2021-11-14 20:35 Sam James
2021-11-14 20:35 Sam James
2021-11-14 20:29 Sam James
2021-11-14 3:43 Sam James
2021-11-14 3:43 Sam James
2021-11-13 20:01 Jakov Smolić
2021-10-09 7:08 Michał Górny
2021-10-06 7:46 Michał Górny
2021-09-29 21:59 Michał Górny
2021-09-29 8:16 Michał Górny
2021-09-26 17:52 Sam James
2021-09-17 8:31 Michał Górny
2021-09-14 5:17 Sam James
2021-09-06 0:18 Sam James
2021-09-06 0:18 Sam James
2021-08-30 21:41 Michał Górny
2021-08-24 0:05 Marek Szuba
2021-08-20 7:17 Michał Górny
2021-08-20 7:17 Michał Górny
2021-08-19 21:53 Michał Górny
2021-08-10 5:00 Sam James
2021-07-01 14:45 Michał Górny
2021-07-01 14:42 Michał Górny
2021-05-19 18:21 Michał Górny
2021-05-19 17:22 Sam James
2021-05-10 18:08 Michał Górny
2021-04-18 1:47 Sam James
2021-04-18 1:44 Sam James
2021-04-18 1:41 Sam James
2021-04-13 9:05 Michał Górny
2021-04-13 9:05 Michał Górny
2021-04-07 23:11 Michał Górny
2021-03-14 8:12 Michał Górny
2021-02-19 3:40 Sam James
2021-01-09 17:40 Michał Górny
2021-01-09 8:13 Michał Górny
2021-01-05 23:26 Michał Górny
2020-12-22 9:00 Michał Górny
2020-09-05 15:25 Sam James
2020-09-05 3:08 Sam James
2020-09-02 9:12 Michał Górny
2020-08-17 20:36 David Seifert
2020-08-17 20:36 David Seifert
2020-08-03 3:11 Sam James
2020-07-31 0:50 Sam James
2020-07-14 12:01 Michał Górny
2020-07-07 20:01 Michał Górny
2020-07-06 19:01 Michał Górny
2020-07-01 13:47 Michał Górny
2020-06-10 7:31 Michał Górny
2020-06-09 8:19 Michał Górny
2020-04-15 18:59 Mike Gilbert
2020-03-27 20:22 Michał Górny
2020-03-27 20:22 Michał Górny
2020-03-17 7:23 Michał Górny
2019-12-23 7:44 Benda XU
2019-12-15 14:50 Agostino Sarubbo
2019-05-04 22:58 Virgil Dupras
2019-02-27 4:25 Aaron Bauman
2018-05-29 8:00 David Seifert
2018-05-16 15:58 Andreas Sturmlechner
2018-05-16 12:28 Agostino Sarubbo
2018-04-22 1:35 Thomas Deutschmann
2018-03-12 2:13 Matt Turner
2018-03-12 0:51 Matt Turner
2017-08-30 8:33 Benda XU
2017-07-30 9:34 David Seifert
2017-03-12 12:31 Zac Medico
2016-09-05 21:10 David Seifert
2016-07-25 18:39 David Seifert
2016-04-02 8:24 David Seifert
2016-02-28 6:07 Matt Thode
2015-11-28 17:33 Justin Lecher
2015-11-28 17:33 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1562844656.6d218decaacacd8464bcd42186786ca6351c5120.heroxbd@gentoo \
--to=heroxbd@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox